summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'www-apps/webdavcgi/files/reconfig-suid')
-rw-r--r--www-apps/webdavcgi/files/reconfig-suid26
1 files changed, 0 insertions, 26 deletions
diff --git a/www-apps/webdavcgi/files/reconfig-suid b/www-apps/webdavcgi/files/reconfig-suid
deleted file mode 100644
index d7fb87722614..000000000000
--- a/www-apps/webdavcgi/files/reconfig-suid
+++ /dev/null
@@ -1,26 +0,0 @@
-#!/bin/bash
-
-webDavWrapper="webdavwrapper"
-webDavWrapperPath="${VHOST_CGIBINDIR}/${webDavWrapper}"
-
-chmodCmd="/bin/chmod"
-chownCmd="/bin/chown"
-
-
-function die ()
-{
- echo "reconfig error: $1" >&2
- exit 1
-}
-
-if [ $1 = "install" ]; then
- # In order to change the user and group ID at runtime, the webdavwrapper
- # needs to be run as root (set-user-ID and set-group-ID bit)
- if ! ${chownCmd} root:root ${webDavWrapperPath}; then
- die "Chown for ${webDavWrapperPath} failed"
- fi
-
- if ! ${chmodCmd} 6755 ${webDavWrapperPath}; then
- die "Setting SUID and SGID bit on ${webDavWrapperPath} failed"
- fi
-fi